# strips-function-pal01-triadic003 V. 0.3
# the first x-point must be 0 and the last one 256 (0xFF+1)
# the last R,G,B values are not used
# Base color + 2 others (triad) adjustable variations in hue increase + value inc.
# colorscheme: triadic
# par3 (hue variation), par4 (sat variation), par4 (value [blackness] variation)
# save with colordistance=0



scale = par4/(255.0*3)
scaleV = par5/(255.0*3)
scaleS = par6/(255.0*3)

H,S,V = rgb_to_hsv(par1/255.0,par2/255.0,par3/255.0)
R,G,B = hsv_to_rgb(H+scale,S+scaleS,V+scaleV)
R1,G1,B1 = R*255,G*255,B*255
R,G,B = hsv_to_rgb(H+scale*2,S+scaleS*2,V+scaleV*2)
R2,G2,B2 = R*255,G*255,B*255
R,G,B = hsv_to_rgb(H+scale*3,S+scaleS*3,V+scaleV*3)
R3,G3,B3 = R*255,G*255,B*255

#calculate second color in Itten's colorspace
RC,GC,BC=rgb2ryb(par1,par2,par3)
R4,G4,B4 = ryb2rgb(abs(170-RC),abs(170-GC),abs(170-BC))

#R4,G4,B4=(par1+85)%0xFF,(par2+85)%0xFF,(par3+85)%0xFF
H,S,V = rgb_to_hsv(R4/255.0,G4/255.0,B4/255.0)
R,G,B = hsv_to_rgb(H-scale,S+scaleS,V+scaleV)
R5,G5,B5 = R*255,G*255,B*255
R,G,B = hsv_to_rgb(H-scale*2,S+scaleS*2,V+scaleV*2)
R6,G6,B6 = R*255,G*255,B*255
R,G,B = hsv_to_rgb(H-scale*3,S+scaleS*3,V+scaleV*3)
R7,G7,B7 = R*255,G*255,B*255

#calculate third color in Itten's colorspace
R8,G8,B8 = ryb2rgb(abs(85-RC),abs(85-GC),abs(85-BC))

H,S,V = rgb_to_hsv(R8/255.0,G8/255.0,B8/255.0)
R,G,B = hsv_to_rgb(H-scale,S+scaleS,V+scaleV)
R9,G9,B9 = R*255,G*255,B*255
R,G,B = hsv_to_rgb(H-scale*2,S+scaleS*2,V+scaleV*2)
R10,G10,B10 = R*255,G*255,B*255
R,G,B = hsv_to_rgb(H-scale*3,S+scaleS*3,V+scaleV*3)
R11,G11,B11 = R*255,G*255,B*255

yR, yG, yB , yA = strips(x,[(0,par1,par2,par3,255),
	(22,R1,G1,B1,255),
	(44,R2,G2,B2,255),
	(66,R3,G3,B3,255),
	(88,R4,G4,B4,255),
	(110,R5,G5,B5,255),
	(130,R6,G6,B6,255),
	(152,R7,G7,B7,255),
	(174,R8,G8,B8,255),
	(196,R9,G9,B9,255),
	(216,R10,G10,B10,255),
	(238,R11,G11,B11,255),
	(0xFF+1,R11,G11,B11,255)])

formastring = "RGB:%d %d %d; RYB1:%d %d %d; RYB2:%d %d %d; DeltaH:%3.2f; DeltaS:%3.2f; DeltaV:%3.2f"
setmystatus(formastring%(R,G,B,R4,G4,B4,R8,G8,B8,scale,scaleV,scaleS))


























